%global momorel 5
%global vampver 2.1

Summary: Audio time-stretching and pitch-shifting library
Name: rubberband
Version: 1.5.0
Release: %{momorel}m%{?dist}
License: GPLv2+
Group: System Environment/Libraries
URL: http://breakfastquay.com/rubberband/
Source0: http://code.breakfastquay.com/attachments/download/1/%{name}-%{version}.tar.bz2
NoSource: 0
Patch0: %{name}-1.4-mk.patch
Patch1: %{name}-1.4-gcc44.patch
Patch2: rubberband-1.5.0-gcc46.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: ladspa
Requires: liblrdf
Requires: vamp-plugin-sdk >= %{vampver}
BuildRequires: fftw-devel
BuildRequires: ladspa-devel
BuildRequires: liblrdf-devel
BuildRequires: libsamplerate-devel
BuildRequires: libsndfile-devel
BuildRequires: pkgconfig
BuildRequires: vamp-plugin-sdk-devel >= %{vampver}

%description
Rubber Band is a library and utility program that permits you to change the
tempo and pitch of an audio recording independently of one another. 

%package devel
Summary: Header files and static libraries from rubberband
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Libraries and includes files for developing programs based on rubberband.

%prep
%setup -q

%patch0 -p1 -b .fix-build
%patch1 -p1 -b .gcc44~

%patch2 -p1 -b .gcc46~

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc CHANGELOG COPYING README.txt
%{_bindir}/%{name}
%{_libdir}/ladspa/ladspa-%{name}.cat
%{_libdir}/ladspa/ladspa-%{name}.so
%{_libdir}/vamp/vamp-%{name}.cat
%{_libdir}/vamp/vamp-%{name}.so
%{_libdir}/lib%{name}.so.*
%{_datadir}/ladspa/rdf/ladspa-rubberband.rdf

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/lib%{name}.a
%{_libdir}/lib%{name}.so

%changelog
* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.5.0-5m)
- rebuild for new GCC 4.6

* Tue Feb 08 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.5.0-4m)
- add patch for gcc46, generated by gen46patch

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.5.0-3m)
- rebuild for new GCC 4.5

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.5.0-2m)
- full rebuild for mo7 release

* Sat May 22 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.5.0-1m)
- version 1.5.0

* Wed Jan 27 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4-1m)
- version 1.4
- update mk.patch and gcc44.patch
- add CHANGELOG and COPYING to %%doc

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.3-4m)
- rebuild against gcc-4.4 and glibc-2.11

* Tue Sep  1 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.3-3m)
- add gcc44 patch

* Sun Jun 14 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3-2m)
- fix build on x86_64 (import mk.patch from Fedora)

* Sun Jun 14 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3-1m)
- initial package for qtractor-0.4.2
